Subject: bug#30995: 25.3; Slow window and frame popup on Emacs 26+ (e.g. with Helm)

From: Noam Postavsky <[email-masked]>
Date: Fri, 30 Mar 2018 01:07:47 -0400

notfound 30995 25.3
found 30995 26.1
quit

Pierre Neidhardt <[email-masked]> writes:

> Since Emacs 26, I've noticed a slight delay (I'd say between 100ms and
> 500ms) in the creation of _some_ windows, most noticeably all Helm
> windows.  This does not occur on Emacs 25.
>
> I had initially reported the issue upstream to Helm:
>
> 	https://github.com/emacs-helm/helm/issues/1976
>
> But its maintainer believes Helm is not to blame here.
>
> I use EXWM but it is not clear whether the issue is rooted there either.
>
> Any insight on what could slow down window/frame creation on Emacs 26?

I think this might be a similar case to a recent emacs-devel thread[1].
Does changing x-wait-for-event-timeout affect things?  If so, it's
likely fixed in latest master by [2: 2a192e21cf] and [3: 00c1f771f2].

[1]: https://lists.gnu.org/archive/html/emacs-devel/2018-03/msg00807.html

[2: 2a192e21cf]: 2018-03-29 19:11:47 -0400
  Don't wait for visible frames to become visible
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=2a192e21cf3b04b7f830b4971c1508c611e13a3c

[3: 00c1f771f2]: 2018-03-29 19:17:34 -0400
  * src/xterm.c (x_make_frame_visible): Fix typo in previous change.
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=00c1f771f2a51ffa675ec5a07ea330f2605cd302